TextCritical.net - Bug #2882

App does not load on iOS Safari: old chunks are being referred to
01/16/2022 02:53 AM - Luke Murphey

Status: Closed Start date: 01/15/2022
Priority: Immediate Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Description

History

#1 - 01/16/2022 02:53 AM - Luke Murphey
- Subject changed from App does not load on iOS Safati to App does not load on iOS Safari

#2 - 01/16/2022 03:24 AM - Luke Murphey
Questions:

e Does it work on other devices?
o It works on my phone
* Dose it work on desktop Safari?
What is the error?
o The error is "Minified React error #306"
o https://reactjs.org/docs/error-decoder.html/?invariant=306
e Does it work in private mode?
o Yes

Observations:

e |t does load on Chrome on the same device
References
https://stackoverflow.com/questions/64367591/react-app-not-working-in-safari-working-fine-on-chrome-and-firefox-but-giving-b
https:/github.com/fuse-box/fuse-box/issues/1646

https://www.geeksforgeeks.org/how-to-clear-complete-cache-data-in-reactjs/
https://stackoverflow.com/questions/58475780/react-apollo-error-invariant-violation-could-not-find-client-in-the-context

#3 - 03/01/2022 05:06 PM - Luke Murphey

This is likely due to lazy loading. The main page is trying to load the older chunks.
https://reactjs.org/docs/error-decoder.html/?invariant=306
https://stackoverflow.com/questions/64367591/react-app-not-working-in-safari-working-fine-on-chrome-and-firefox-but-giving-b
https://github.com/fuse-box/fuse-box/issues/1646
https://www.geeksforgeeks.org/how-to-clear-complete-cache-data-in-reactjs/
https://stackoverflow.com/questions/58475780/react-apollo-error-invariant-violation-could-not-find-client-in-the-context

#4 - 03/01/2022 05:07 PM - Luke Murphey

- Subject changed from App does not load on iOS Safari to App does not load on iOS Safari: old chunks are being referred to.

#5 - 03/01/2022 05:13 PM - Luke Murphey

- Subject changed from App does not load on iOS Safari: old chunks are being referred to. to App does not load on iOS Safari: old chunks are being
referred to

- Target version set to 4.7.3

Implement cache busting per:

o hitps://dev.to/flexdinesh/cache-busting-a-react-app-22lk
¢ https://stackoverflow.com/questions/44601121/code-splitting-causes-chunks-to-fail-to-load-after-new-deployment-for-spa

#6 - 03/01/2022 05:13 PM - Luke Murphey

https://rollbar.com/blog/javascript-chunk-load-error/

#7 - 03/01/2022 05:36 PM - Luke Murphey
Solution:

e "it's also a good idea to have your index.html and entrypoint files never cached, which can be done using the cache-control header
(Cache-Control - HTTP | MDN)"

o https://rollbar.com/blog/javascript-chunk-load-error/

#8 - 03/01/2022 05:38 PM - Luke Murphey

https://cristian.sulea.net/blog/disable-browser-caching-with-meta-html-tags/

#9 - 05/08/2023 03:20 AM - Luke Murphey
- Status changed from New to Closed

- Target version deleted (4.7.3)
